
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "csvpp/version"

Gem::Specification.new do |spec|
  spec.name          = "csvpp"
  spec.version       = CSVPP::VERSION
  spec.authors       = ["SwissDRG AG"]
  spec.email         = ["rathesan.iyadurai@swissdrg.org"]

  spec.summary       = %q{CSV++}
  spec.description   = %q{CSV++}
  spec.homepage      = "https://www.swissdrg.org"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'oj', '~> 3.6.2'
  spec.add_dependency 'gli', '~> 2.17.1'
  spec.add_dependency 'httparty', '~> 0.16.2'
  spec.add_dependency 'sqlite3', '~> 1.3', '>= 1.3.13'
  spec.add_dependency 'sequel', '~> 5.9'

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-byebug"
  spec.add_development_dependency "pry-doc"
  spec.add_development_dependency "ruby-prof"
  spec.add_development_dependency "simplecov"
end
